
<div id="kl-debug-request-interface" class="kl-debug-click-popup">

	<?php $this->get_view('front/popup-click-header'); ?>

    <div class="kl-debug-sidebar">
        <ul>
			<?php
			global $kl_debug_loader;
			$sections = $kl_debug_loader->core_debug->debug_vars;

			$i = 0;
			foreach ( $sections as $key => $section ) : ?>
				<?php $i ++; ?>
                <li class="<?= ( $i == 1 ) ? 'selected' : ''; ?>">
                    <a href="#<?= $key; ?>"><?= $section['title']; ?></a>
                </li>
			<?php endforeach; ?>
        </ul>
    </div>
    <div class="kl-debug-container">
		<?php $i = 0; ?>
		<?php foreach ( $sections as $key => $section ) : ?>
			<?php $i ++; ?>
            <div id="<?= $key; ?>" class="kl-debug-section <?= ( $i == 1 ) ? 'active' : ''; ?>">
                <div class="tab-content">

                    <?php $parameter_count = 0; ?>
					<?php foreach ( $section['parameters'] as $title => $values ) : ?>
                        <?php $parameter_count ++; ?>

                        <?php $title = (($parameter_count - 1) === $title) ? sprintf(__('Variable %s', 'kl_debug'), " #{$parameter_count}") : $title; ?>

                        <h3><?= $title; ?></h3>

						<?php if ( empty( $values ) ) : ?>
                            <div class="empty">
                                <p><?= __('Empty variable', 'kl_debug'); ?></p>
                            </div>
						<?php elseif ( ! is_array( $values ) && ! is_object( $values ) ) : ?>
                            <div class="single-value">
								<?php dump( $values ); ?>
                            </div>
						<?php else: ?>
                            <table class="default">
                                <thead>
                                <tr>
                                    <th scope="col" class="key">Key</th>
                                    <th scope="col">Value</th>
                                </tr>
                                </thead>
                                <tbody>
								<?php foreach ( $values as $key => $value ) : ?>
                                    <tr>
                                        <th><?= $key; ?></th>
                                        <td>
											<?php if ( is_array( $value ) || is_object( $value ) ) :
												dump( $value );
											else :
												echo '<p>' . esc_attr(urldecode($value)) . '</p>';
											endif; ?>
                                        </td>
                                    </tr>
								<?php endforeach; ?>
                                </tbody>
                            </table>
						<?php endif; ?>
					<?php endforeach; ?>
                </div>
            </div>
		<?php endforeach; ?>
    </div>
</div>
